package cn.ibizlab.eam.core.eam_core.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.eam.core.eam_core.domain.EMDRWG;
import cn.ibizlab.eam.core.eam_core.filter.EMDRWGSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EMDRWG] 服务对象接口
 */
public interface IEMDRWGService extends IService<EMDRWG>{

    boolean update(EMDRWG et) ;
    void updateBatch(List<EMDRWG> list) ;
    EMDRWG getDraft(EMDRWG et) ;
    boolean save(EMDRWG et) ;
    void saveBatch(List<EMDRWG> list) ;
    boolean checkKey(EMDRWG et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean create(EMDRWG et) ;
    void createBatch(List<EMDRWG> list) ;
    EMDRWG get(String key) ;
    Page<EMDRWG> searchDefault(EMDRWGSearchContext context) ;
    List<EMDRWG> selectByBpersonid(String pfempid) ;
    void removeByBpersonid(String pfempid) ;
    List<EMDRWG> selectByRempid(String pfempid) ;
    void removeByRempid(String pfempid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


